DAR_XFORM(1)

NAME
dar_xform - disk archive "re-slicer"

SYNOPSIS
dar_xform [options] [<path>/]source [<path>/]destination

dar_xform -h

dar_xform -V

DESCRIPTION
dar_xform changes the size of slices of an existing archive.

Source is the basename of the existing archive, destination is the basename of the archive to be created. If source basename is "-", the archive is read from standard input. If the destination basename is "-", the archive is written to standard output and -s option is not available.

OPTIONS

-h  displays help usage.

-V  displays version information.

-b  make the terminal ring when user interaction is required (like for example the creation of a new slice when using the -p option)

-s <number>
    Size of the slices in bytes. If the number is followed by k (or K), M, G, T or P the size is in kilobytes, megabytes, gigabytes, terabytes or petabytes respectively. Example: "20M" means 20 megabytes it is the same as giving 20971520 as argument. If -s is not present the backup will be written to a single slice whatever the size of the backup may be (there is probably some filesystem limitation, thus you might expect problems with file size over 2 gigabytes, depending on your filesystem).

-S <number>
    -S gives the size of the first slice which may be chosen independently of the size of following slices. This option needs -s and by default, the size of the first slice is the same as the one of the following slices.

-p  pauses before writing to a new slice (this requires -s). By default there is no pause, all slices are output in the same directory, up to the end of the backup or until the filesystem is full. In this later case, the user is informed of the lack of disk space and dar stops for user interaction. As soon as some disk space is available, the user can continue the backup.

-n  Do not allow overwriting of any slice.

-w  Do not warn before overwriting slice. By default (no -n and no -w) overwriting is allowed but a warning is issued before proceeding.

-E <string>
    the string is a command-line to be launched between the slices of the destination archive. See dar(1) man page (same option) for more informations.

-F <string>
    the string is a command-line to be launched between the slices of the source archive. See dar(1) man page (same option) for more informations.

NOTES
Dar is not concerned by scrambling. It does not need to be aware of it to be able to change the slice scheme. Thus, it is not able to scramble a clear archive or unscramble an already scrambled archive.

EXIT CODES
dar_xform uses the same exit status as dar does, see dar(1) man page.

SEE ALSO
dar(1), dar_slave(1), dar_manager(1), dar_cp(1)

KNOWN BUGS
None actually.

AUTHOR
http://dar.linux.free.fr/
Denis Corbin (dar.linux@free.fr)
France
Europe